import { r as registerInstance, h, H as Host } from './index-4879a8e9.js';

class Column {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        /**
         * CSS Classes
         */
        this.class = '';
    }
    render() {
        return (h(Host, { class: {
                column: true,
                'is-narrow': this.isNarrow && typeof this.isNarrow === 'boolean',
                [this.sizes]: Boolean(this.sizes),
                [this.class]: Boolean(this.class),
            } }));
    }
}

export { Column as bm_column };
